## gulkan-queue

gulkan-queue

## Functions

GulkanQueue * | gulkan_queue_new ()
VkCommandPool | gulkan_queue_get_command_pool ()
gboolean | gulkan_queue_supports_surface ()
uint32_t | gulkan_queue_get_family_index ()
VkQueue | gulkan_queue_get_handle ()
gboolean | gulkan_queue_initialize ()
GulkanCmdBuffer * | gulkan_queue_request_cmd_buffer ()
void | gulkan_queue_free_cmd_buffer ()
gboolean | gulkan_queue_submit ()
GMutex * | gulkan_queue_get_pool_mutex ()

## Types and Values

#define | GULKAN_TYPE_QUEUE
| GulkanQueue

## Object Hierarchy

        GObject
        ╰── GulkanQueue

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_queue_new ()

    GulkanQueue *
    gulkan_queue_new (GulkanDevice *device,
                      uint32_t family_index);

### gulkan_queue_get_command_pool ()

    VkCommandPool
    gulkan_queue_get_command_pool (GulkanQueue *self);

### gulkan_queue_supports_surface ()

    gboolean
    gulkan_queue_supports_surface (GulkanQueue *self,
                                   VkSurfaceKHR surface);

### gulkan_queue_get_family_index ()

    uint32_t
    gulkan_queue_get_family_index (GulkanQueue *self);

### gulkan_queue_get_handle ()

    VkQueue
    gulkan_queue_get_handle (GulkanQueue *self);

### gulkan_queue_initialize ()

    gboolean
    gulkan_queue_initialize (GulkanQueue *self);

### gulkan_queue_request_cmd_buffer ()

    GulkanCmdBuffer *
    gulkan_queue_request_cmd_buffer (GulkanQueue *self);

### gulkan_queue_free_cmd_buffer ()

    void
    gulkan_queue_free_cmd_buffer (GulkanQueue *self,
                                  GulkanCmdBuffer *cmd_buffer);

### gulkan_queue_submit ()

    gboolean
    gulkan_queue_submit (GulkanQueue *self,
                         GulkanCmdBuffer *cmd_buffer);

### gulkan_queue_get_pool_mutex ()

    GMutex *
    gulkan_queue_get_pool_mutex (GulkanQueue *self);

## Types and Values

### GULKAN_TYPE_QUEUE

    #define GULKAN_TYPE_QUEUE gulkan_queue_get_type()

### GulkanQueue

    typedef struct _GulkanQueue GulkanQueue;